Bug 477857 - Segmentation fault in mmg chapter editor when selecting top level
Segmentation fault in mmg chapter editor when selecting top level
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: mkvtoolnix (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Dominik 'Rathann' Mierzejewski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-24 06:41 EST by Benjamin Lewis
Modified: 2009-01-26 20:52 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-26 20:47:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Backtrace (11.64 KB, text/plain)
2008-12-24 06:41 EST, Benjamin Lewis
no flags Details

  None (edit)
Description Benjamin Lewis 2008-12-24 06:41:01 EST
Created attachment 327804 [details]
Backtrace

Description of problem:
mmg crashes when the filename level (i.e. top level) is clicked in the chapter editor.

Version-Release number of selected component (if applicable):
mkvtoolnix-gui-2.4.0-1.fc10.i386

How reproducible:
Every time

Steps to Reproduce:
1. Start mmg and load a chapter file
2. Click any item in the chapter list other than the top level one
3. Click the top level (filename) level
  
Actual results:
Segmentation fault

Expected results:
No segmentation fault and top level is highlighted

Additional info:
A backtrace is attached
Comment 1 Dominik 'Rathann' Mierzejewski 2009-01-19 14:39:14 EST
Thanks for the report. I've reproduced the crash. It's been fixed in Git: https://www.bunkus.org/cgi-bin/gitweb.cgi?p=mkvtoolnix.git;a=commitdiff;h=f86b13a873eb6edce668a77601488439dca58727

I'll post an update with that fix applied soon.
Comment 2 Fedora Update System 2009-01-19 16:34:58 EST
mkvtoolnix-2.4.2-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/mkvtoolnix-2.4.2-1.fc10
Comment 3 Fedora Update System 2009-01-19 16:36:35 EST
mkvtoolnix-2.4.2-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/mkvtoolnix-2.4.2-1.fc9
Comment 4 Fedora Update System 2009-01-21 16:26:35 EST
mkvtoolnix-2.4.2-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mkvtoolnix'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-0711
Comment 5 Fedora Update System 2009-01-21 16:27:50 EST
mkvtoolnix-2.4.2-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update mkvtoolnix'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-0734
Comment 6 Fedora Update System 2009-01-26 20:47:09 EST
mkvtoolnix-2.4.2-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2009-01-26 20:52:25 EST
mkvtoolnix-2.4.2-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.